MORTY(1)

NAME
morty - Privacy aware web content sanitizer proxy as a service

SYNOPSIS
morty [OPTIONS]

DESCRIPTION
Morty rewrites web pages to exclude malicious HTML tags and attributes. It also replaces external resource references to prevent third party information leaks.

The main goal of morty is to provide a result proxy for searx, but it can be used as a standalone sanitizer service too.

OPTIONS

-ipv6

    Allow IPv6 HTTP requests

-key string

    HMAC url validation key (hexadecimal encoded) - leave blank to disable

-listen string

    Listen address (default "127.0.0.1:3000")

-timeout uint

    Request timeout (default 2)

-version

    Show version

BUGS
Bugs or suggestions? Visit the issue tracker at https://github.com/asciimoo/morty/issues.

SEE ALSO
searx(1)

LICENSE
Copyright 2016-2018 Adam Tauber <asciimoo@gmail.com>
Copyright 2016 Alexandre Flament <alex@al-f.net>

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.